unit Unit1;

{*************
Dowload the excel file from here:
https://docs.google.com/spreadsheets/d/1nl3ebsfrQp_3BjagKH8cRGjsjImm9V1a/edit?usp=share_link&ouid=115995687324934624546&rtpof=true&sd=true
**************}

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,
  fpSpreadsheet, fpsallformats, fpsTypes;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }
procedure TForm1.Button1Click(Sender: TObject);
var
  wb:TsWorkbook;
  ws:TsWorksheet;
  ptrCell:PCell;
  str:String;
begin
  wb:=TsWorkbook.Create;
  try
    Self.OpenDialog1.Filter:='Excel file|*.xls;*.xlsx';
    if Self.OpenDialog1.Execute then begin
      wb.ReadFromFile(Self.OpenDialog1.FileName{,sfExcel2});
      ws:=wb.GetFirstWorksheet;
      ptrCell:=ws.GetCell(0,0);
      str:=ptrCell^.UTF8StringValue;
      ShowMessage( 'Cell A1 contains "' + str + '"');
    end;
  finally
    wb.Free;
  end;

end;

end.

